Subject: Re: linux-next: build failure after merge of the final tree (wireless-next tree related)

From: "John W. Linville" <[email-masked]>
Date: Wed, 19 Mar 2014 15:14:26 -0400

On Wed, Mar 19, 2014 at 05:20:35PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the final tree, today's linux-next build (powerpc allyesconfig)
> failed like this:
> 
> drivers/net/wireless/iwlwifi/mvm/debugfs.c: In function 'iwl_dbgfs_fw_error_dump_release':
> drivers/net/wireless/iwlwifi/mvm/debugfs.c:161:2: error: implicit declaration of function 'vfree' [-Werror=implicit-function-declaration]
>   vfree(file->private_data);
>   ^
> 
> Caused by commit 1bd3cbc1a0e9 ("iwlwifi: mvm: send udev event upon
> firmware error to dump logs") from the wireless-next tree.  See Rule 1
> from Documentation/SubmitChecklist.
> 
> I have reverted that commit (and commit cdb00563fe2c ("iwlwifi: mvm: BT
> Coex - add debugfs hook to set BT Tx priority") that may depend on it)
> for today.
> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]

Clearly I need to beg someone for a powerpc box, so that I can find
more of these build failures... :-)

-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.